EndpointsReporters

List reporter subscriptions

GET/v2/reporters/subscriptions

Lists visible reporter subscriptions, newest first. A continuation cursor is returned in the X-Next-Cursor response header when another page exists.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Query Parameters

limit?Limit

Maximum subscriptions returned.

Range1 <= value <= 500
Default100
cursor?|

Continuation token from the previous response's X-Next-Cursor header.

curl -X GET "https://example.com/v2/reporters/subscriptions"
[  {    "id": "string",    "reporter": {      "kind": "version",      "reporter_version_id": "string"    },    "dependencies": [      {        "reporter": {          "kind": "version",          "reporter_version_id": "string"        },        "params": {},        "limits": {          "memory_mib": 1,          "guest_cpu_seconds": 1,          "wall_clock_seconds": 1,          "scratch_mib": 1,          "tool_calls": 1,          "llm_usd": 1,          "artifact_read_mib": 1,          "output_mib": 1        },        "reuse": {          "completed": true,          "max_age_seconds": 0,          "in_flight": true        },        "dependencies": [          {}        ]      }    ],    "owner_user_id": "string",    "trigger": "round_closed",    "league_id": "string",    "coworld_id": "string",    "cron": "string",    "params": {},    "publish_posts": true,    "enabled": true,    "created_at": "2019-08-24T14:15:22Z"  }]